<div class="kendo-table mat-elevation-z8 mappingResult-table">
  <kendo-grid *ngIf="getDisplaySection('data')" [data]="gridData"  [kendoGridBinding]="" [sortable]="false" [height]="410">
    <kendo-grid-column field="id" title="" [width]="50">
        <ng-template kendoGridCellTemplate let-rowIndex="rowIndex">
            {{rowIndex + 1}}
          </ng-template>
    </kendo-grid-column>

    <kendo-grid-column field="From" [width]="100">
        <ng-template kendoGridCellTemplate let-dataItem>
          <img width="60px"  src="../../../assets/images/zoho-logo.png"/>
          </ng-template>
      </kendo-grid-column>

    <kendo-grid-column field="invoice_id" title="Invoice Id" [width]="150"></kendo-grid-column>
    <kendo-grid-column field="customer_name" title="Name" [width]="100"></kendo-grid-column>
    <kendo-grid-column field="email" title="Email" [width]="150"></kendo-grid-column>
    <kendo-grid-column field="invoice_date" title="Date" [width]="150"></kendo-grid-column>
    <kendo-grid-column field="currency_code" title="Currency Code" [width]="150"></kendo-grid-column>
    <kendo-grid-column field="total" title="total" [width]="150"></kendo-grid-column>
    <kendo-grid-column field="status" title="status" [width]="150"></kendo-grid-column>
    <kendo-grid-column field="billing_address_city" title="Billing City" [width]="150"></kendo-grid-column>
    <kendo-grid-column field="billing_address_state" title="Billing State" [width]="150"></kendo-grid-column>
    <kendo-grid-column field="billing_address_zip" title="Billing Zip" [width]="150"></kendo-grid-column>
    <kendo-grid-column field="billing_address_country" title="Billing Country" [width]="150"></kendo-grid-column>
    <kendo-grid-column field="shipping_address_city" title="Shipping City" [width]="150"></kendo-grid-column>
    <kendo-grid-column field="shipping_address_state" title="Shipping State" [width]="150"></kendo-grid-column>
    <kendo-grid-column field="shipping_address_zip" title="Shipping Zip" [width]="150"></kendo-grid-column>
    <kendo-grid-column field="shipping_address_country" title="Shipping Country" [width]="150"></kendo-grid-column>
  </kendo-grid>
  <div  class= "content-loader" *ngIf="getDisplaySection('loader')" >
      <mat-spinner [diameter]="50" color="warn" class="loader"></mat-spinner>
    </div>
    
    <div *ngIf="getDisplaySection('message')" class="text-danger text-center">
      <div style="padding: 40px">Please complete step 3</div>
    </div>
</div>



